#ifndef __FATOLRGCONVERTER_H__
#define __FATOLRGCONVERTER_H__

#include <map>

#include <grammar/Regular/LeftRG.h>
#include <automaton/FSM/NFA.h>

namespace fa2rg
{

/**
 * Finite automaton to right regular grammar converter.
 * Source: My own :)
 */
class FAtoLRGConverter
{
public:
    /**
     * Performs conversion.
     * @return left regular grammar equivalent to source automaton.
     */
    grammar::LeftRG convert(const automaton::NFA& automaton);
};

} /* namespace fa2rg */

#endif /* __FATOLRGCONVERTER_H__ */
